uniform samplerCube tex0;

void main (void) {
    vec4 color;
    vec4 texture;

    color = gl_Color;

    texture = textureCube(tex0, gl_TexCoord[0].xyz);
    color.rgb += texture.rgb;
    color.a   *= texture.a;
    color = clamp(color, 0.0, 1.0);

    gl_FragColor = color;
}
